org.apache.felix.ipojo.extender

## Interface TypeDeclaration

All Superinterfaces:
  Declaration

All Known Implementing Classes:
  DefaultTypeDeclaration

    public interface TypeDeclaration
    extends Declaration

Service exposed to instruct a factory creation.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.felix.ipojo.metadata.Element` `getComponentMetadata()` Get the component metadata description.
`java.lang.String` `getComponentName()` Gets the component type's name.
`java.lang.String` `getComponentVersion()` Gets the component type's version.
`java.lang.String` `getExtension()` Gets the targeted iPOJO Extension (primitive, composite, handler...)
`boolean` `isPublic()` Returns true if the type is public

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Method Detail

#### getComponentMetadata

    org.apache.felix.ipojo.metadata.Element getComponentMetadata()

Get the component metadata description.

Returns:
  the component metadata description.

#### isPublic

    boolean isPublic()

Returns true if the type is public

Returns:
  true if the type is public

#### getComponentName

    java.lang.String getComponentName()

Gets the component type's name.

Returns:
  the component type's name.

#### getComponentVersion

    java.lang.String getComponentVersion()

Gets the component type's version.

Returns:
  the component type's version

#### getExtension

    java.lang.String getExtension()

Gets the targeted iPOJO Extension (primitive, composite, handler...)

Returns:
  the targeted extension